#!/bin/sh 

_restore(){
    OWDLPATH=
    for i in $(seq 0 8)
    do
        ls -d /volume${i}/OWDownload/ 2>/dev/null
        if [ $? -eq 0 ];then
            OWDLPATH="/volume${i}/OWDownload/.onewu"
            cat /tmp/.dsn > ${OWDLPATH}/.dsn
            cat /tmp/.dmac > ${OWDLPATH}/.dmac
            break
        fi
    done
    [ -z "${OWDLPATH}" ] && return 0
    if [ -f "${OWDLPATH}/xyapp_backup.tgz" ];then
        tar -zxf "${OWDLPATH}/xyapp_backup.tgz"
        rm -rf xyapp/system/*etm.ipk
        rm -f "${OWDLPATH}/xyapp_backup.tgz"
    fi
    if [ -f "${OWDLPATH}/owjstx_backup.tgz" ];then
        tar -zxf "${OWDLPATH}/owjstx_backup.tgz"
        rm -f "${OWDLPATH}/owjstx_backup.tgz"
    fi
}

_restore &

rm -f ${0}
exit 0;
