#!/bin/bash


DIRECTORY=$(cd `dirname $0`; pwd)
PLATINUM="${DIRECTORY}/bin/platinumd"
MONITOR="${DIRECTORY}/platinum_monitor"

#启停日志
RUNLOG_FILE="${DIRECTORY}/.run_log"

date >> ${RUNLOG_FILE}
echo "do stop proc" >> ${RUNLOG_FILE}

function try_kill()
{
    proc_name=$1
    kill_num=0
    PID=""

    while [ ${kill_num} -lt 3 ]
    do
        PID=`ps -ef | grep -v grep | grep ${proc_name} | awk '{print $2}'`
        if [ "$PID" != "" ]; then
            echo "try kill proc [${proc_name}] pid [${PID}]" >> ${RUNLOG_FILE}
            kill ${PID}
        else
            return
        fi
        kill_num=`expr ${kill_num} + 1`
        sleep 1
    done
    echo "try force kill proc [${proc_name}] pid [${PID}]" >> ${RUNLOG_FILE}
    kill -9 ${PID}
}

try_kill ${MONITOR} 
try_kill ${PLATINUM}
