#!/bin/bash

DIRECTORY=$(cd `dirname $0`; pwd)

REPO_PATH_FILE="${DIRECTORY}/../etc/datadir.conf"

if [ ! -f ${REPO_PATH_FILE} ]
then
    echo "can not find repo path file: [${REPO_PATH_FILE}], exit"
    exit 1
fi

REPO_PATH=`cat ${REPO_PATH_FILE}`
PLATINUM_REPO_PATH=${REPO_PATH}/platinum_repo/

#启停日志
RUNLOG_FILE="${DIRECTORY}/.run_log"

date >> ${RUNLOG_FILE}
echo "clean all proc data" >> ${RUNLOG_FILE}

echo "try remove data dir ${PLATINUM_REPO_PATH}" >> ${RUNLOG_FILE}
rm -rf ${PLATINUM_REPO_PATH}
echo "remove data dir ${PLATINUM_REPO_PATH} success" >> ${RUNLOG_FILE}
